### Function

# ECal util_tm_to_icaltime

since: 2.22

#### Declaration [src]

    ICalTime*
    e_cal_util_tm_to_icaltime (
      tm* tm,
      gboolean is_date
    )

#### Description [src]

Converts a struct tm into an `ICalTime`. Free the returned object with g_object_unref(), when no longer needed.

Available since: 2.22

#### Parameters

`tm`

  Type: `tm*`

  A struct tm.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`is_date`

  Type: `gboolean`

  Whether the given time is a date only or not.

#### Return value

Type: `None`

The converted time as an `ICalTime`.

The caller of the function takes ownership of the data, and is responsible for freeing it.